Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.filings.get_similarity_index(symbol="MSFT", freq=models.ReportingFrequency.QUARTERLY)
assert res.filings_similarity_index_response is not None
# Handle response
print(res.filings_similarity_index_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.filings.getSimilarityIndex({
symbol: "MSFT",
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/filings/similarity-index \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/filings/similarity-index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/filings/similarity-index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/filings/similarity-index"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/filings/similarity-index")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/filings/similarity-index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"cik": "789019",
"similarity": [
{
"acceptedDate": "1994-02-14 00:00:00",
"accessNumber": "0000950109-94-000252",
"cik": "789019",
"filedDate": "1994-02-14 00:00:00",
"filingUrl": "https://www.sec.gov/Archives/edgar/data/789019/000095010994000252/0000950109-94-000252-index.html",
"form": "10-Q",
"item1": 0,
"item1a": 0,
"item2": 0,
"item7": 0,
"item7a": 0,
"reportUrl": "https://www.sec.gov/Archives/edgar/data/789019/000095010994000252/0000950109-94-000252.txt"
}
],
"symbol": "MSFT"
}
}Filings
Filings Similarity Index
Retrieve similarity scores comparing current and previous SEC filings to detect material changes in financial statements. Identify significant updates and disclosure modifications.
Parameters: Provide either symbol or cik. symbol is required when cik is omitted, and cik is required when symbol is omitted. freq is optional.
Use Case: Alert investors when a company’s 10-K shows significant changes compared to previous year.
GET
/
v1
/
filings
/
similarity-index
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.filings.get_similarity_index(symbol="MSFT", freq=models.ReportingFrequency.QUARTERLY)
assert res.filings_similarity_index_response is not None
# Handle response
print(res.filings_similarity_index_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.filings.getSimilarityIndex({
symbol: "MSFT",
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/filings/similarity-index \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/filings/similarity-index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/filings/similarity-index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/filings/similarity-index"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/filings/similarity-index")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/filings/similarity-index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"cik": "789019",
"similarity": [
{
"acceptedDate": "1994-02-14 00:00:00",
"accessNumber": "0000950109-94-000252",
"cik": "789019",
"filedDate": "1994-02-14 00:00:00",
"filingUrl": "https://www.sec.gov/Archives/edgar/data/789019/000095010994000252/0000950109-94-000252-index.html",
"form": "10-Q",
"item1": 0,
"item1a": 0,
"item2": 0,
"item7": 0,
"item7a": 0,
"reportUrl": "https://www.sec.gov/Archives/edgar/data/789019/000095010994000252/0000950109-94-000252.txt"
}
],
"symbol": "MSFT"
}
}Authorizations
Query Parameters
Reporting frequency filter. Use annual or quarterly when you want only one reporting cadence. How often the underlying data is reported:
annual— once per fiscal year (10-K, full-year statements).quarterly— once per fiscal quarter (10-Q, quarterly statements).
Available options:
annual, quarterly Example:
"quarterly"
Was this page helpful?